#!/usr/bin/env python

from PyQt5 import Qt

class DebugComboBox(Qt.QComboBox):
	"""docstring for DebugComboBox"""

	# define a custom signal
	debugLevelChanged = Qt.pyqtSignal(str)

	def __init__(self, parent=None):
		super(DebugComboBox, self).__init__()
		self.parent = parent

		self.addItem("Debug Off", '0x00000000')
		self.addItem("Debug Configuration", '0x00000002')
		self.addItem("Debug Task Issues", '0x00000008')
		self.addItem("Debug NML", '0x00000010')
		self.addItem("Debug Motion Time", '0x00000040')
		self.addItem("Debug Interpreter", '0x00000080')
		self.addItem("Debug RCS", '0x00000100')
		self.addItem("Debug Interperter List", '0x00000800')
		self.addItem("Debug IO Control", '0x00001000')
		self.addItem("Debug O Word", '0x00002000')
		self.addItem("Debug Remap", '0x00004000')
		self.addItem("Debug Python", '0x00008000')
		self.addItem("Debug Named Parameters", '0x00010000')
		self.addItem("Debug Gdbon Signal", '0x00020000')
		self.addItem("Debug Python Task", '0x00040000')
		self.addItem("Debug User 1", '0x10000000')
		self.addItem("Debug User 2", '0x20000000')
		self.addItem("Debug Unconditional", '0x40000000')
		self.addItem("Debug All", '0x7FFFFFFF')

		self.activated.connect(self.onActivated)

	def onActivated(self, event):
		data = self.currentData()
		print("DebugComboBox activated with data:", data)
		self.debugLevelChanged.emit(data)

	def getDebugLevel(self):
		return self.currentData()


if __name__ == "__main__":
	import sys
	app = Qt.QApplication(sys.argv)
	w = DebugComboBox()
	w.show()
	sys.exit(app.exec_())
